Skip to main content
POST
/
api
/
onboarding
/
kenya
/
individual_credit
/
Kenya Individual Credit Report
curl --request POST \
  --url https://adhere-api.smartcomply.com/api/onboarding/kenya/individual_credit/ \
  --header 'Content-Type: application/json' \
  --header 'x-access-token: <api-key>' \
  --data '
{
  "national_id": "12345678"
}
'
import requests

url = "https://adhere-api.smartcomply.com/api/onboarding/kenya/individual_credit/"

payload = { "national_id": "12345678" }
headers = {
"x-access-token": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'x-access-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({national_id: '12345678'})
};

fetch('https://adhere-api.smartcomply.com/api/onboarding/kenya/individual_credit/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "failed",
  "data": [
    "<unknown>"
  ],
  "message": "<string>"
}
{
"status": "failed",
"message": "Authentication credentials were not provided."
}
The Kenya Individual Credit Report endpoint provides a comprehensive record of an individual’s credit-related activities in Kenya, including credit accounts, payment timelines, credit utilization, and delinquency status.

Endpoint

POST /api/onboarding/kenya/individual_credit/

Request

Headers

HeaderValueRequired
x-access-tokenYour API secret keyYes
Content-Typeapplication/jsonYes

Body Parameters

ParameterTypeRequiredDescription
national_idstringYesThe individual’s Kenyan national ID number

Example

curl -X POST "https://adhere-api.smartcomply.com/api/onboarding/kenya/individual_credit/" \
  -H "x-access-token: YOUR_SECRET_KEY" \
  -H "Content-Type: application/json" \
  -d '{"national_id": "12345678"}'

Response

200 OK

{
  "status": "success",
  "data": {},
  "message": "Kenya Individual Credit Report retrieved successfully"
}

400 Bad Request

{
  "status": "failed",
  "data": [],
  "message": "Sorry, your check cannot be processed at the moment. Please try again in a few minutes"
}

401 Unauthorized

{
  "status": "failed",
  "message": "Authentication credentials were not provided."
}

Authorizations

x-access-token
string
header
required

Your Adhere API secret key

Body

application/json
national_id
string
required
Example:

"12345678"

Response

Kenya credit report retrieved